
<%@ page language="java" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
 

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
	<title>Validator Example</title>
</head>
  
<body>
	<f:view>
		<h:form id="standard">
			<table border="1" width="100%">
				<tr>
					<td colspan="4">
						<h3>Using standard validators</h3>
					</td>
				</tr>
				<tr>
					<td width="25%"><b>Validator</b></td>
					<td width="25%"><b>Comments</b></td>
					<td width="25%"><b>Input</b></td>
					<td width="25%"><b>Errors</b></td>
				</tr>
							
				<tr>
					<td>None</td>
					<td>required="true"</td>
					<td>
						<h:inputText 
							id="required" 
							value="#{myBean.var}" 
							required="true"/>						
					</td>
					<td>
						<h:message for="required" />
					</td>
				</tr>
				
				<tr>
					<td>Length</td>
					<td>minimum="3"<br>maximum="5"</td>
					<td>
						<h:inputText 
							id="length" 
							value="#{myBean.var}">						
							<f:validateLength minimum="3" maximum="5" />
						</h:inputText>
					</td>
					<td>
						<h:message for="length" />
					</td>
				</tr>
				
				<tr>
					<td>LongRange</td>
					<td>minimum="4"<br>maximum="10"</td>
					<td>
						<h:inputText 
							id="longRange" 
							value="#{myBean.var}">						
							<f:validateLongRange minimum="4" maximum="10" />
						</h:inputText>
					</td>
					<td>
						<h:message for="longRange" />
					</td>
				</tr>
				
				<tr>
					<td>DoubleRange</td>
					<td>minimum="4.1"<br>maximum="9.86"</td>
					<td>
						<h:inputText 
							id="doubleRange" 
							value="#{myBean.var}">						
							<f:validateDoubleRange minimum="4.1" maximum="9.86" />
						</h:inputText>
					</td>
					<td>
						<h:message for="doubleRange" />
					</td>
				</tr>
				
				<tr>
					<td>
						Length <br>
						LongRange
					</td>
					<td>
						Length minimum="2"<br>
						Length maximum="3"<br>
						LongRange minimum="10"<br>
						LongRange maximum="15"
					</td>
					<td>
						<h:inputText 
							id="combined" 
							value="#{myBean.var}">	
							<f:validateLength minimum="2" maximum="3" />														
							<f:validateLongRange minimum="10" maximum="15" />
						</h:inputText>
					</td>
					<td>
						<h:message for="combined" />
					</td>
				</tr>
				
				<tr>
					<td colspan="4">
						<h3>Using validator method</h3>
					</td>
				</tr>
				
				<tr>
					<td>Validation Method</td>
					<td>validator="#{myBean.validateName}</td>
					<td>
						<h:inputText 
							id="validateMethod" 
							value="#{myBean.var}"
							validator="#{myBean.validateLength}"/>						
					</td>
					<td>
						<h:message for="validateMethod" />
					</td>
				</tr>
				
				<tr>
					<td colspan="4">
						<h3>Using custom validator class</h3>
					</td>
				</tr>
				
				<tr>
					<td>Validator Class</td>
					<td>validatorId="lengthValidator"</td>
					<td>
						<h:inputText 
							id="validatorClass" 
							value="#{myBean.var}">						
							<f:validator validatorId="lengthValidator"/> 
						</h:inputText>
					</td>
					<td>
						<h:message for="validatorClass" />
					</td>
				</tr>
			</table>
			
			<br>
			
			<h:commandButton 
				id="submit" 
				value="Submit" /> 
		</h:form>		
	</f:view>
</body>
</html>
